export interface IInputFunc {
    (...args: Array<any>): any;
}
export interface IReturn {
    (): void;
}
export interface ICancelable {
    clear(): void;
}
declare function debounce<T extends IInputFunc>(func: T, wait?: number): IReturn & ICancelable;
export default debounce;
