import { AxiosPromise } from 'axios';
import { IVoxios, IVoxiosRequestOptions, IVoxiosInstanceContext, ICreateRequest, IConfig, IMergedConfig } from './type';
export declare const transformRequestOptions: (options?: IVoxiosRequestOptions, config?: IMergedConfig) => IVoxiosRequestOptions;
export declare const defaultAxiosRequest: (options: IVoxiosRequestOptions, config: IMergedConfig, context: IVoxiosInstanceContext) => AxiosPromise<any>;
export declare const createInstance: (config: IConfig | undefined, context: IVoxios) => ICreateRequest;
